Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6189 - tunelp /dev/lp0 -i 7 problem
Summary: tunelp /dev/lp0 -i 7 problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tunelp
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-21 16:27 UTC by eda
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-19 15:50:34 UTC


Attachments (Terms of Use)

Description eda 1999-10-21 16:27:09 UTC
[root@eda /root]# tunelp /dev/lp0 -i 7
tunelp: ioctl: Invalid argument
/dev/lp0 using IRQ -1
[root@eda /root]#

Tunelp does not work for me. Great loss of printer
performance - it works very badly with I/O polling.

Brgds,

Eduard Vopicka

Comment 1 Bill Nottingham 1999-10-21 18:52:59 UTC
Try adding to your /etc/conf.modules:

options parport_pc io=0x378 (or whatever) irq=7

You can even add a 'dma=<some dma channel>'

Alternatively, do 'echo 7 > /proc/parport/0/irq', I think.


Note You need to log in before you can comment on or make changes to this bug.